Debian Bug report logs - #628153
dcmtk: Please make individual libraries self-contained (no unresolved symbols)

version graph

Package: dcmtk; Maintainer for dcmtk is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>; Source for dcmtk is src:dcmtk.

Reported by: Michael Hanke <mih@debian.org>

Date: Fri, 27 May 2011 17:33:02 UTC

Severity: serious

Tags: upstream

Merged with 510120

Found in version dcmtk/3.6.0-5

Fixed in version dcmtk/3.6.0-11

Done: Mathieu Malaterre <malat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#628153; Package dcmtk. (Fri, 27 May 2011 17:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <mih@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Fri, 27 May 2011 17:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Hanke <mih@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dcmtk: Please make individual libraries self-contained (no unresolved symbols)
Date: Fri, 27 May 2011 13:30:35 -0400
Package: dcmtk
Version: 3.6.0-5
Severity: wishlist

Hi,

I'm updating a package to use libdcmtk2-dev and it is a bit difficult,
because several DCMTK libs have unresolved symbols -- they are not fully
linked against their dependencies. This is what happens:

  michael@meiner /tmp % cat dcmtktest.cpp
  int main () {
    return 0;
  }

  michael@meiner /tmp % g++ -ldcmimgle  dcmtktest.cpp
  /usr/lib/gcc/i486-linux-gnu/4.4.5/../../../../lib/libdcmimgle.so: undefined reference to `operator!=(OFString const&, char const*)'
  /usr/lib/gcc/i486-linux-gnu/4.4.5/../../../../lib/libdcmimgle.so: undefined reference to `OFString::~OFString()'
  /usr/lib/gcc/i486-linux-gnu/4.4.5/../../../../lib/libdcmimgle.so: undefined reference to `DcmItem::putAndInsertUint16(DcmTag const&, unsig
  <snip long list of unresolved symbols>

I need to complete the list manually:

  michael@meiner /tmp % g++ -ldcmimgle -ldcmdata -lofstd -loflog -lpthread -lz dcmtktest.cpp

This makes it quite difficult to deal with upstream configure snippets
that do something like this:

  AC_CHECK_LIB(dcmdata,main,LIBS="-ldcmdata $LIBS"; DATALIBS="-ldcmdata $DATALIBS",lib_dcmtk=no)

Which fails, because the test program cannot be linked successfully.

It would be great of all dcmtk libs could be fully linked against all
their actual dependencies.


Thanks.


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-2-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dcmtk depends on:
ii  adduser                 3.112+nmu2       add and remove users and groups
ii  libc6                   2.11.2-11        Embedded GNU C Library: Shared lib
ii  libdcmtk2               3.6.0-5          The OFFIS DICOM toolkit runtime li
ii  libgcc1                 1:4.6.0-2        GCC support library
ii  libjpeg62               6b1-1            The Independent JPEG Group's JPEG 
ii  libpng12-0              1.2.44-2         PNG library - runtime
ii  libssl1.0.0             1.0.0d-2         SSL shared libraries
ii  libstdc++6              4.6.0-2          The GNU Standard C++ Library v3
ii  libtiff4                3.9.4-9          Tag Image File Format (TIFF) libra
ii  libwrap0                7.6.q-19         Wietse Venema's TCP wrappers libra
ii  libxml2                 2.7.8.dfsg-2     GNOME XML library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

dcmtk recommends no packages.

dcmtk suggests no packages.

-- debconf-show failed




Forcibly Merged 510120 628153. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Thu, 02 Jun 2011 16:15:05 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Wed, 25 Jan 2012 11:04:03 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'wishlist' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Thu, 24 May 2012 07:57:39 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Thu, 31 May 2012 09:51:34 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 Jul 2012 07:37:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:09:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.